Subject: Re: How to update git on Mac OS X Mountain Lion 10.8.4

From: "Melton Low (devl)" <[email-masked]>
Date: Fri, 28 Jun 2013 15:06:37 -0600

Hi,

Did you do a "sudo make install" as the last step?

As a general rule of thumb on OS X, don't update or otherwise do 
anything to stuff installed by Apple.  You have to install the newer 
version from the Git repository to a different directory, eg /usr/local 
or /usr/local/git .

./configure --prefix=/usr/local
or
./configure --prefix=/usr/local/git

make all
sudo make install

Then change your login profile, from the terminal, to reflect the new 
bin location, eg /usr/local/bin or /usr/local/git/bin .

Hope this help.

Mel

Olivier de Broqueville wrote:
> Hello,
>
> I've learnt that Xcode installs git by default on the Mac. My current
> version of git is 1.7.12.4 and it's located in /usr/bin/git.
>
> I wanted to update git to the latest stable version available:
> 1.8.3.1. I proceeded with the instructions on:
> http://git-scm.com/downloads and typed:
>
> git clone https://github.com/git/git.git
>
> (rather than using the .dmg file because I don't want to install a new
> version of git in addition to the existing one used by Xcode.
> Furthermore, I have no idea where the new version would end up being
> installed and I've read that users have had trouble doing this!)
>
> This rendered the following results:
> Oliviers-iMac:~ odebroqueville$ git clone https://github.com/git/git.git
> Cloning into 'git'...
> remote: Counting objects: 157697, done.
> remote: Compressing objects: 100% (53116/53116), done.
> remote: Total 157697 (delta 114700), reused 143715 (delta 102625)
> Receiving objects: 100% (157697/157697), 39.56 MiB | 2.01 MiB/s, done.
> Resolving deltas: 100% (114700/114700), done.
> Oliviers-iMac:~ odebroqueville$ which git
> /usr/bin/git
> Oliviers-iMac:~ odebroqueville$ git --version
> git version 1.7.12.4 (Apple Git-37)
>
> As you can see, nothing seems to have changed!
>
> Would you have any explanations?
>
> Thank you in advance for your help.
> Best regards,
> Olivier de Broqueville.
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html